print("Hello " .. UnitName("Player") .. " Kals_ClassicTrackingReminder is running.");

local COLOR_RED = "|CFFe60000";
local COLOR_GREEN = "|CFF66ff33";
local COLOR_BLUE = "|CFF4286f4";

local ThingToTrack = {};


local CheckBuffsListener = CreateFrame("FRAME", "AddonFrame");
CheckBuffsListener:RegisterEvent("PLAYER_STARTED_MOVING");

function StartCheckBuffs(self, event, ...)
	if( event == "PLAYER_STARTED_MOVING") then
		if(InCombat == false and not UnitIsDeadOrGhost("player"))then
			if( ThingToTrack == nil)then
				print(COLOR_RED .. "Kals_ClassicTrackingReminder - NOT TRACKING ANYTHING");		
				print(COLOR_BLUE .. "Please type /CTR for instructions");			
			end

			if (GetTrackingTexture() ~= ThingToTrack and ThingToTrack ~= nil) then
				print(COLOR_RED .. "Kals_ClassicTrackingReminder - NOT TRACKING!");			
			end
		end
	end
end
CheckBuffsListener:SetScript("OnEvent", StartCheckBuffs);


local CheckOnLoad = CreateFrame("FRAME", "AddonFrame");
CheckOnLoad:RegisterEvent("ADDON_LOADED");
CheckOnLoad:RegisterEvent("PLAYER_LOGOUT");

function CheckOnStart(self, event, ...)
	if(event == "ADDON_LOADED" and ... == "Kals_ClassicTrackingReminder") then
		if(ThingToTrackGlobal ~= nil) then
			ThingToTrack = ThingToTrackGlobal;
		else
			ThingToTrack = nil;
		end
	end

	if( event == "PLAYER_LOGOUT") then
		ThingToTrackGlobal = ThingToTrack;
	end
end
CheckOnLoad:SetScript("OnEvent", CheckOnStart);


local CheckCombat = CreateFrame("FRAME", "AddonFrame");
CheckCombat:RegisterEvent("PLAYER_REGEN_DISABLED");
CheckCombat:RegisterEvent("PLAYER_REGEN_ENABLED");

InCombat = false;

function SetCombat(self, event, ...)
	if(event == "PLAYER_REGEN_DISABLED") then
		InCombat = true;
	end
	if(event == "PLAYER_REGEN_ENABLED") then
		InCombat = false;
	end
end
CheckCombat:SetScript("OnEvent", SetCombat);


--CONSOLE
SLASH_ClassicTrackingReminder1 = "/CTR";

SlashCmdList.ClassicTrackingReminder = function(msg)
	msg = string.lower(msg);

	if(msg == "")then
		print(COLOR_BLUE .. "Kals_ClassicTrackingReminder firsttime setup instructions:");
		print(COLOR_BLUE .. "Enable the tracking type you want to track on your minimap, using the default blizz ui.");
		print(COLOR_BLUE .. "Then type '/CTR Track' to complete the process.");


	elseif(msg == "track")then
		if(GetTrackingTexture() ~= nil)then
			ThingToTrack = GetTrackingTexture();
			print(COLOR_GREEN .. "Done - Now tracking: " .. ThingToTrack);
		else
			print(COLOR_RED .. "NOT TRACKING ANYTHING!");
			
			print(COLOR_BLUE .. "Enable the tracking type you want to track on your minimap, using the default blizz ui.");
			print(COLOR_BLUE .. "Type '/CTR Track'");
		end
	end 	
end 	